<?php

class ControllerAdminAdministrators
{
    function __construct()
    {
        global $dns, $user, $pass, $vues, $twig;
        session_start();
        try {

            $con = new Connection($dns, $user, $pass);

            $gatewayAdministrator = new GatewayAdministrator($con);
            $administrators = $gatewayAdministrator->getAdministrators();

            echo $twig->render($vues["adminAdministrators"], [
                'administrators' => $administrators,
            ]);

        } catch (PDOException $e) {
            // Gérez les erreurs PDO ici
        } catch (Exception $e2) {
            // Gérez d'autres erreurs ici
        }
    }
}
